(prompt "\n--------------------------------------------------------------")
(prompt "\nLOADING INFO FUNCTION")

;|
Displays the INFO dialog box
|;
(defun INFO:Show (msg func / dcl_id)
	;trying to load the dialog box definition
	(setq dcl_id (load_dialog "INFO.dcl"))
	
	;checking that dialog file is available and dialog definition exists
	(if (< dcl_id 0)
		;could not load dialog definition file
		(DOSLIBAlert "Could not load info dialog definition file." "Error" 1 3)
		(progn
			;dialog definition loaded
			;creating an instance of the dialog box to handle input
			(if (not (new_dialog "info" dcl_id))
				;no definition of info dialog
				(DOSLIBAlert "Could not load info dialog box definition." "Error" 1 3)
				(progn
					;info dialog exists
					;setting message
					(if (/= msg nil)
						(set_tile "msg" msg)
						(set_tile "msg" "")
						)
					;setting function
					(if (/= func nil)
						(set_tile "func" func)
						(set_tile "func" "")
						)
					
					;resetting the what_next variable
					(start_dialog)
					
					;unloading dialog definition
					(unload_dialog dcl_id)
					)
				)
			)
		)
	
	(print)
	)
;**================================================



(princ "\nINFO functions of toolbox loaded.")
(prompt "\n--------------------------------------------------------------")
(print)

